Google Web Toolkit (Beta)
Search this site:

# Class RadioButton

public class RadioButton
extends CheckBox
A mutually-exclusive selection radio button widget.

### CSS Style Rules

- .gwt-RadioButton { }

### Example

    public class RadioButtonExample implements EntryPoint {

      public void onModuleLoad() {
        // Make some radio buttons, all in one group.
        RadioButton rb0 = new RadioButton("myRadioGroup", "foo");
        RadioButton rb1 = new RadioButton("myRadioGroup", "bar");
        RadioButton rb2 = new RadioButton("myRadioGroup", "baz");

        // Check 'baz' by default.
        rb2.setChecked(true);

        // Add them to the root panel.
        FlowPanel panel = new FlowPanel();
        panel.add(rb0);
        panel.add(rb1);
        panel.add(rb2);
        RootPanel.get().add(panel);
      }
    }

## Constructors

RadioButton(String) | Creates a new radio associated with a particular group.
RadioButton(String, String) | Creates a new radio associated with a particular group, and initialized with the given HTML label.
RadioButton(String, String, boolean) | Creates a new radio button associated with a particular group, and initialized with the given label (optionally treated as HTML).

## Constructor Detail

### RadioButton

public RadioButton(String group)
Creates a new radio associated with a particular group. All radio buttons associated with the same group name belong to a mutually-exclusive set.

#### Parameters

group
  the group with which to associate the radio button

### RadioButton

public RadioButton(String group, String label)
Creates a new radio associated with a particular group, and initialized with the given HTML label. All radio buttons associated with the same group name belong to a mutually-exclusive set.

#### Parameters

group
  the group with which to associate the radio button
label
  this radio button's label

### RadioButton

public RadioButton(String group, String label, boolean asHTML)
Creates a new radio button associated with a particular group, and initialized with the given label (optionally treated as HTML). All radio buttons associated with the same group name belong to a mutually-exclusive set.

#### Parameters

group
  the group with which to associate the radio button
label
  this radio button's label
asHTML
  `true` to treat the specified label as HTML